RepairException (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.exceptions

## Class RepairException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.cassandra.exceptions.RepairException

- All Implemented Interfaces:
    java.io.Serializable

      public class RepairException
      extends java.lang.Exception

  Exception thrown during repair
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `RepairJobDesc` | `desc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepairException(RepairJobDesc desc, java.lang.String message)`
    `RepairException(RepairJobDesc desc, java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### desc

          public final RepairJobDesc desc

  - ### Constructor Detail

    - #### RepairException

          public RepairException(RepairJobDesc desc,
                                 java.lang.String message)

    - #### RepairException

          public RepairException(RepairJobDesc desc,
                                 java.lang.String message,
                                 java.lang.Throwable cause)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

Copyright © 2018 The Apache Software Foundation